Wallets, tokens & networks

Get Wallet Token Balance

Reads the token or native balance of the caller first Privy wallet over the network EVM RPC.

GEThttps://api.toku.com/tga/get-wallet-token-balance

Not available to API keys.

curl --request GET \
  --url 'https://api.toku.com/tga/get-wallet-token-balance' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "walletAddress": "string",
  "tokenAddress": "string",
  "balance": "string",
  "formattedBalance": "string",
  "decimals": 0,
  "tokenName": "string",
  "tokenSymbol": "string",
  "tokenIconUrl": "string",
  "networkName": "string",
  "networkChainId": 0,
  "networkIconUrl": "string",
  "blockExplorerBaseUrl": "string",
  "networkAppUrl": "string",
  "lastUpdated": "string"
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Response

200Successful response
walletAddressstringrequired
tokenAddressstring
balancestringrequired
formattedBalancestringrequired
decimalsintegerrequired
tokenNamestringrequired
tokenSymbolstringrequired
tokenIconUrlstring
networkNamestringrequired
networkChainIdinteger
networkIconUrlstring
blockExplorerBaseUrlstring
networkAppUrlstring
lastUpdatedstringrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits